#
# spec file for package unison (Version 2.27.24)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           unison
BuildRequires:  gtk2-devel lablgtk2-devel ncurses-devel update-desktop-files
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Other
Autoreqprov:    on
Version:        2.27.24
Release:        12
Source0:        http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}.tar.gz
Source1:        http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}-manual.html
Source2:        %name.desktop
URL:            http://www.cis.upenn.edu/~bcpierce/unison
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A file synchronization tool

%description
Unison is a file synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, then brought up to date by propagating the changes in each
replica to the other.



Authors:
--------
    Benjamin Pierce <bcpierce@cis.upenn.edu>

%prep
%setup -q

%build
%ifarch s390 s390x
make UISTYLE=gtk2 NATIVE=false THREADS=false
%else
make UISTYLE=gtk2 NATIVE=true THREADS=true
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %name $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{SOURCE1} unison-manual.html
%suse_update_desktop_file -i %name Utility SyncUtility
%ifarch s390 s390x
# do not strip non-optimized builds
export NO_BRP_STRIP_DEBUG=true
%endif

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc BUGS.txt CONTRIB COPYING NEWS README ROADMAP.txt TODO.txt unison-manual.html
/usr/share/applications/*
%{_bindir}/%{name}

%changelog
* Fri May 25 2007 - ro@suse.de
- added lablgtk2-devel to buildreq
* Wed Apr 25 2007 - mhopf@suse.de
- Updated to 2.27.24:
  * Backup functionality completely rewritten, removing bugs.
  * Several savety improvements: mountpoint checks, big deletes, missing
  symlink destinations
  * New forcepartial and preferpartial preferences
  * Improved debugging
  * Merge functionality partially rewritten
  * Reversed diff arguments.
  * Many bugfixes (fastcheck + daylight saving time under windows, 32/64
  bit cleanup, removing deadlocks, ...)
* Tue Apr 17 2007 - seife@suse.de
- add ncurses-devel to buildrequires, to fix build on s390
* Wed Dec 13 2006 - mhopf@suse.de
- added patch for no longer closing main window if subwindows open
- removed unison-gtk1 again
* Wed Dec 06 2006 - seife@suse.de
- add unison-gtk1, a binary compiled against lablgtk
* Mon Sep 25 2006 - mhopf@suse.de
- Update to version 2.17.1
- Completely rewritten backup function (actually working now)
- Ip V6 support
- Several bug fixes
* Thu Sep 21 2006 - seife@suse.de
- switch to GTK2 / lablgtk2
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 10 2005 - rommel@suse.de
- update to version 2.13.16 (includes all of our recent fixes)
- updated spec file, manual is available in html now
* Tue Mar 15 2005 - ro@suse.de
- enable optimized compile on x86_64
* Wed Sep 15 2004 - ro@suse.de
- fix build with ocaml-3.08 (from unison-hackers ml)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Tue Jul 22 2003 - rommel@suse.de
- fixed "invalid escape sequence" error messages
- fixed %%install (not using make install anymore)
- compiling with thread support
* Wed May 07 2003 - ro@suse.de
- fix tail calling syntax
* Mon Jan 27 2003 - rommel@suse.de
- replaced pdf file (unreadable) with ps file
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue May 28 2002 - ro@suse.de
- update to 2.9.1 makes it build with current ocaml
* Fri Sep 14 2001 - grimmer@suse.de
- Update to 2.7.7, which fixes the following bugs (since
  2.7.1):
  * Fixed a silly bug that would reliably prevent the Unison
  client from starting in 2.7.4.
  * Bug fix (2.7.4): read the initial connection header one byte
  at a time, so that we don't block if the header is shorter
  than expected.
* Wed Aug 29 2001 - grimmer@suse.de
- Update to 2.7.1 (see the NEWS file for changes)
- updated PDF manual to latest version
* Thu Aug 16 2001 - grimmer@suse.de
- Initial package for SuSE Linux (version 2.6.59)
